1
0
mirror of git://git.2f30.org/morpheus.git synced 2024-06-25 22:38:32 +00:00
morpheus/build
2014-02-20 16:23:53 +00:00

50 lines
615 B
Bash
Executable File

#!/bin/sh
#
# Only meant to be executed from within the stage0 script
set -e -x
fetch() {
return
}
unpack() {
return
}
patch() {
return
}
build() {
return
}
install() {
return
}
. $1
(
if ! fetch; then
echo "Failed to fetch $1" >> "$top/morpheus.log"
exit 1
fi
if ! unpack; then
echo "Failed to unpack $1" >> "$top/morpheus.log"
exit 1
fi
if ! patch; then
echo "Failed to patch $1" >> "$top/morpheus.log"
exit 1
fi
if ! build; then
echo "Failed to build $1" >> "$top/morpheus.log"
exit 1
fi
if ! install; then
echo "Failed to install $1" >> "$top/morpheus.log"
exit 1
fi
)